body {
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Oxygen",
    "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue",
    sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

#root {
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.app {
  font-size: 12px;
  max-width: 50em;
  display: flex;
  flex-direction: column;
}

.header {
  display: flex;
  justify-content: center;
}

.button {
  display: inline-block;
  outline: none;
  cursor: pointer;
  text-align: center;
  text-decoration: none;
  font: 14px/100% Arial, Helvetica, sans-serif;
  padding: .5em 2em .55em;
  text-shadow: 0 1px 1px rgba(0,0,0,.3);
  border-radius: .5em;
  box-shadow: 0 1px 2px rgba(0,0,0,.2);
}

.modal {
  width: 20em;
  height: 12em;
  opacity: 1;
  border: 1px solid cadetblue;
  border-radius: 0.3em;
  transition: opacity 0.4s;
  position: absolute;
  transform: translate(-50%, -50%);
  left: 50%;
  top: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.modal.message {
  background: aliceblue;
  color: darkgreen;
}

.modal.error {
  background: lightcoral;
  color: darkred;
}

.modal .text {
  font-weight: bold;
  font-size: 1.5em;
}

.button:hover {
  text-decoration: none;
}

.button:active {
  position: relative;
  top: 1px;
}

thead tr {
  background: antiquewhite;
  font-weight: bold;
  font-size: 1.5em;
}

tbody tr:nth-child(even) {
  background: azure;
}

tbody tr:nth-child(odd) {
  background: beige;
}

